/*
 * JPA DAO Template
 *
 *
 * Takatuka - Template fuer JPA DAO
 *
 */

package de.ivu.elect.business.statistik.boundary;

import de.ivu.elect.business.statistik.entity.StatistikKennzeichen;

@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class StatistikKennzeichenDAO extends AbstractStatistikKennzeichenDAO {

  private static final long serialVersionUID = 1L;

  @javax.inject.Inject
  private transient de.ivu.elect.jee.entity.SimpleDAO simpleDAO;

  @Override
  protected javax.persistence.EntityManager getEntityManager() {
    return simpleDAO.getEntityManager();
  }

  public void persist(StatistikKennzeichen statistikKennzeichen){
    getEntityManager().persist(statistikKennzeichen);
  }

  public void remove(StatistikKennzeichen statistikKennzeichen){
    getEntityManager().remove(statistikKennzeichen);
  }

@javax.inject.Inject
private transient de.ivu.elect.presentation.system.DAOCache daoCache;

                        
        /**
        * Name: LaufNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT o FROM StatistikKennzeichen o WHERE o.statistikLauf = ?1<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<StatistikKennzeichen> findByLauf( @javax.annotation.Nonnull de.ivu.elect.business.statistik.entity.StatistikLauf lauf) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("StatistikKennzeichen.findByLauf" ,  lauf  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByLauf( lauf  ));
        }
        return (java.util.List<StatistikKennzeichen>) cached;
        }
            return super.findByLauf( lauf  );
            }
                    
@Override
public void clear() {
super.clear();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}

}

@Override
public void flush() {
super.flush();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}
}



}